Package io.vertx.serviceresolver.kube

## Class KubeResolverOptions

- java.lang.Object
- - io.vertx.serviceresolver.ServiceResolverOptions
  - - io.vertx.serviceresolver.kube.KubeResolverOptions

-     public class KubeResolverOptions
      extends ServiceResolverOptions

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static HttpClientOptions` | `DEFAULT_HTTP_CLIENT_OPTIONS` |
    `static String` | `DEFAULT_NAMESPACE` |
    `static SocketAddress` | `DEFAULT_SERVER` |
    `static String` | `DEFAULT_TOKEN` |
    `static WebSocketClientOptions` | `DEFAULT_WEB_SOCKET_OPTIONS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KubeResolverOptions()` | Constructor with default options, those might have been set from the pod environment when running in a pod.
    `KubeResolverOptions​(JsonObject json)` | JSON constructor
    `KubeResolverOptions​(KubeResolverOptions other)` | Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBearerToken()` |
    `HttpClientOptions` | `getHttpClientOptions()` |
    `String` | `getNamespace()` |
    `SocketAddress` | `getServer()` |
    `WebSocketClientOptions` | `getWebSocketClientOptions()` |
    `KubeResolverOptions` | `setBearerToken​(String bearerToken)` | Set a bearer token presented by the resolver to the Kubernetes server.
    `KubeResolverOptions` | `setHttpClientOptions​(HttpClientOptions httpClientOptions)` |
    `KubeResolverOptions` | `setNamespace​(String namespace)` |
    `KubeResolverOptions` | `setServer​(SocketAddress server)` | Set the Kubernetes server address
    `KubeResolverOptions` | `setWebSocketClientOptions​(WebSocketClientOptions webSocketClientOptions)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SERVER

          public static final SocketAddress DEFAULT_SERVER

    - #### DEFAULT_TOKEN

          public static final String DEFAULT_TOKEN

    - #### DEFAULT_NAMESPACE

          public static final String DEFAULT_NAMESPACE

    - #### DEFAULT_HTTP_CLIENT_OPTIONS

          public static final HttpClientOptions DEFAULT_HTTP_CLIENT_OPTIONS

    - #### DEFAULT_WEB_SOCKET_OPTIONS

          public static final WebSocketClientOptions DEFAULT_WEB_SOCKET_OPTIONS

  - ### Constructor Detail

    - #### KubeResolverOptions

          public KubeResolverOptions()

      Constructor with default options, those might have been set from the pod environment when running in a pod.

    - #### KubeResolverOptions

          public KubeResolverOptions​(KubeResolverOptions other)

      Default constructor.

    - #### KubeResolverOptions

          public KubeResolverOptions​(JsonObject json)

      JSON constructor

  - ### Method Detail

    - #### getServer

          public SocketAddress getServer()

      Returns:
        the Kubernetes server address

    - #### setServer

          public KubeResolverOptions setServer​(SocketAddress server)

      Set the Kubernetes server address
      Parameters:
        `server` - the address
      Returns:
        this options instance

    - #### getNamespace

          public String getNamespace()

    - #### setNamespace

          public KubeResolverOptions setNamespace​(String namespace)

    - #### getBearerToken

          public String getBearerToken()

      Returns:
        the bearer token

    - #### setBearerToken

          public KubeResolverOptions setBearerToken​(String bearerToken)

      Set a bearer token presented by the resolver to the Kubernetes server.

      When a dynamic value is required (such as an ephemeral token), prefer using `KubeResolver.tokenProvider(Supplier)` instead.

      The bearer token value might be loaded from `/var/run/secrets/kubernetes.io/serviceaccount/token` when this resource exists on the file system, this token will be presented if no other token is configured. This token is subject to be reloaded if the server returns a `401` response.

      Parameters:
        `bearerToken` - the bearer token
      Returns:
        this object instance

    - #### getHttpClientOptions

          public HttpClientOptions getHttpClientOptions()

    - #### setHttpClientOptions

          public KubeResolverOptions setHttpClientOptions​(HttpClientOptions httpClientOptions)

    - #### getWebSocketClientOptions

          public WebSocketClientOptions getWebSocketClientOptions()

    - #### setWebSocketClientOptions

          public KubeResolverOptions setWebSocketClientOptions​(WebSocketClientOptions webSocketClientOptions)